# Endless Act 2

Adds a new endless dungeon to the starting island in act 2! How far can you go?<br />
The game gets progressively more difficult as it goes on, with special hazards being added to some of the elite battles, and rare cards spawning more often.

If you have any feedback (i.e bug reports or suggestions), I WILL find them. Don't worry. :)

## Changelog

- 1.2.1 Better Challenge UI<br />
-The challenges have better sprites (Done by gold)<br />
-Two new challenges, Nuzlocke and No Hammer<br />
-Challenge UI should fit all resolutions<br />
-You can press ESC to exit the challenge UI<br />
- 1.2.0 Challenges!<br />
-The starting room now has a board with (currently) 4 challenges, Bounty Hunters (With artwork provided by Nevernamed), One Boon Slot, All Elite Battles, Bridge Battles.<br />
-The new game button now resets you instantly to the starting island. Use this is a quick restart<br />
-Fixes with the secret events<br />
-Improved Boon Art<br />
- 1.1.0 Miscellanious Content<br />
-New mycologist event that appears rarely when you have cards that can be merged<br />
-Every event now has a unique selection button<br />
-Elite battles now use the scrybe boss music<br />
-If you lose a double temple battle, you no longer progress to the boon<br />
-Slight blueprint tweaks & fixes<br />
-Tech Elite Battles will now only have 1 buff conduit and one null conduit later on<br />
-Fixed Scrybe Bosses in regular act 2<br />
-Replaced some old bugs with some new ones<br />
- 1.0.1 Patches<br />
-Grimora now actually has a unique dungeon<br />
-Blueprints should no longer play weak cards with 0 attack<br />
-Fixed the Magicks Dungeon special event<br />
- 1.0.0 Stable Version!<br />
-The blueprint system has been reworked (by ara). It is now no longer random and has actual scaling! (This is still under testing and is subject to change )<br />
-Battles can now have terrain! Each area has about 4 terrain cards each, art provided by Nevernamed <br />
-The Node sprites and some of the Boon Sprites have been redone by Amy<br />
-Every dungeons sprite has been redone by ara (and gold) because they are based, and they all have secrets in them <br />
-6 New boons! <br />
-The elite battle before boons is now a unique battle that uses 2 card temples <br />
-Fixed some issues with dying and starting a new run<br />
-Regular act 2 should now work without softlocking<br />
-Each deck now gets 2 of each side deck card <br />
-Duplicate boons should now only appear if you already have every boon<br />
-Fixed issues with the branching path seperator layer<br />
<br />
- 0.2.0 Boons!<br />
-Added a new boons system! They can be obtained by doing an optional Elite Battle, or buying at the shop for 8 foils, they give certain specific benefits in battle.<br />
-There are currently 10 boons to play around with, but you may only have 3 selected at a time. Suggestions and feedback are welcome <3 <br />
-The elite battles in grimora's area will now gain a ghost ship after floor 3.<br />
<br />
-Fixed a softlock that occurs when you enter a battle too early.<br />
-Removed Master Bleene from appearing in Elite Magick battles <br />
-Fixed music in battles.<br />
<br />
- 0.1.11 Fixed battles not sending encounters after 4 turns
<br />
- 0.1.1
Bug Fixes and Changes,<br />
-The first dungeon will always be the type of your starter deck.<br />
-The UI that shows your floor and lives will now be visible on every resolution.<br />
-Removed the card pack from the shops (temporary)<br />
-Small tweaks to the battle generation.<br />
-Added a unique battle card to Elite Battles.<br />

- 0.1.0 The Initial Version

## Credits

Made by me in 3 days, this was a solo project for fun.<br />
Boons system discussed by: Arackulele, Bow, Keks and Amy in the Inscryption Modding Server.<br />
Special thanks to the Grimora and Magnificus Mod teams (INSPIRATION for each level), Viktor Vaughn, and King Geedorah.<br />

Blueprint system coding done by Arackulele,<br/ >
Sprites for the Beast Dungeon, Undead Dungeon and Tech Dungeon made by Arackulele,<br /> 
Sprites for the Wizard Dungeon made by Gold,<br />
Challenge Sprites done by Gold<br />
Some Boon sprites and the node sprites made by Amy,<br />
Terrain and Bounty Hunter sprites made by Nevernamed (thank ya)